[18.10 FEAT] System z optimizations for gcc 2017

Bug #1777835 reported by bugproxy on 2018-06-20
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Unassigned
gcc-8 (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Available from upstream at https://gcc.gnu.org/

Now available : GCC 8.1 released [2018-05-02]

bugproxy (bugproxy) on 2018-06-20
tags: added: architecture-s39064 bugnameltc-169028 severity-high targetmilestone-inin1810
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (frank-heimes) wrote :

That's already the plan, however not yet done.

affects: linux (Ubuntu) → gcc-8 (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
Dimitri John Ledkov (xnox) wrote :

gcc-8 (8.1.0-12ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-8 (8.1.0-12) unstable; urgency=medium

  * GCC 8.2.0 release candidate.
  * Update to SVN 20180719 (r262861) from the gcc-8-branch.
    - Fix PR middle-end/85602, PR c++/86480.

  [ Nicolas Boulenguez ]
  * ada-verbose patch: Make the ada build more verbose.
  * Update the ada-gcc-name patch again. See #856274. Closes: ##903694.

  [ Matthias Klose ]
  * Rewrite debian/README.cross.

 -- Matthias Klose <email address hidden> Thu, 19 Jul 2018 19:53:24 +0200

Dimitri John Ledkov (xnox) wrote :

gcc-defaults (1.178ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

gcc-defaults (1.178) unstable; urgency=medium

  * gcc, g++: Provide gcc-<triplet>, g++-<triplet>.
  * Bump standards version.
  * Fix typos in package descriptions. Closes: #902276.

gcc-defaults (1.177) experimental; urgency=medium

  * Default to GCC 8.
  * Tighten dependencies on the cpp, gcc, g++ and gfortran packages.
    Closes: #871630.

 -- Matthias Klose <email address hidden> Sat, 21 Jul 2018 09:14:35 +0200

Dimitri John Ledkov (xnox) wrote :

New gcc-8 is in, and gcc-defaults now points at gcc 8.1. This thus should be all available.

Not sure what the "2017" stand for in the bug title. But I hope everything is in place for this ticket.

Changed in gcc-8 (Ubuntu):
status: New → Fix Released
Changed in ubuntu-z-systems:
status: Triaged → Fix Released

------- Comment From <email address hidden> 2018-07-25 02:50 EDT-------
IBM bugzilla status -> closed ; Fix Released by Canoncal and available with Cosmic

information type: Private → Public
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers